#!/usr/env/env python
# -*- coding: utf-8 -*-

from setuptools import setup, find_packages

setup(
    name='vineyard',
    version='0.1.0',
    author='The GRAPE Team, Damo Academy',
    author_email='7br@alibaba-inc.com',
    description='vineyard: an open-source data orchestration engine',
    url='https://github.com/alibaba/libvineyard',
    license='Apache Software License',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        "Topic :: Software Development :: Compilers",
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: POSIX',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        "License :: OSI Approved :: Apache Software License",
    ],

    package_dir={
        '': '.'
    },
    packages=find_packages('.'),
    package_data={
        'vineyard': ['*/**/*.sh']
    },

    zip_safe=False,

    install_requires=[
        'libclang',
        'numpy',
    ],
    extras_require={
        'dev': [
            'pytest',
        ],
    },
)
